var searchState = true;
function bidSearch()
{
	stopAjax();
	var randomCodeReg = /^\d{13}$/;
	var applyNumber=$("#bidMoney").val().trim();
	var bidderName=$("#doubtMoney").val().trim();
	if(searchState){
		if(!hasText(applyNumber)){
			plus.nativeUI.toast("申请编号不能为空");
			return false;
		}
		if(!randomCodeReg.test($("#bidMoney").val())){
			plus.nativeUI.toast("请输入13位数字申请编码！")
		}
		var pa='{"applyNumber":"'+applyNumber+'"}';
		var param = {"type":"REQ_BID_MONEY","jsonStr":pa};
		currentAjax=$.ajax({
			url: url,
			data: param,
			dataType: "json",
			type:"POST",
			timeout:5000,
			success: function(data){
				if(data.type!='RES_BID_MONEY')
					plus.nativeUI.toast("错误的请求类型");
				var data=$.parseJSON(data.jsonStr);
				var pagnJson = $.parseJSON(data.pagnJson);
				var results = pagnJson.result;
				html = "";
				if(data.success==true){
//					$.each(results, function(key, norm) {
//						html+="<ul class='mui-table-view'>";
//						html+="<li class='mui-table-view-cell'>竞买人姓名（单位名称）："+norm.bidderName+"</li>";
//						html+="<li class='mui-table-view-cell'>银行流水号："+norm.bankSerialNumber+"</li>";
//						html+="<li class='mui-table-view-cell'>银行到账日期："+norm.arrivalDate+"</li>";
//						html+="<li class='mui-table-view-cell'>到账金额："+norm.arrivalMoney+"</li>";
//						html+="</ul><br />";
//					});
					html = "<p>您的竞价保证金缴付符合规定，在指标管理机构资格审核合格后，可通过竞价系统激活竞价帐号，参与竞价。</p>"
					$("#bidDiv").html(html);
				}else{
					plus.nativeUI.toast("未查询到结果");
					$("#bidDiv").html("<p>您的竞价保证金缴付不符合规定！您可能出现以下情况：<br/>1.您尚未缴交保证金；<br/>2.保证金未到账，请稍后查询；<br/>3.您交纳保证金时填写的信息不正确，请在存疑保证金中查询 ；<br/>您也可以登录天津市小客车指标调控竞价系统网站：www.tjqcjj.com进行查询以确认查询结果。</p>");
				}
				toDisableButton('bidButton','timeCntLable');
			},
			error: function(){
				plus.nativeUI.toast("请检查您的网络");
			}
		});
	}else{
		if(!hasText(bidderName)){
			plus.nativeUI.toast("竞价人姓名不能为空");
			return false;
		}
		var pa='{"bidderName":"'+bidderName+'"}';
		var param = {"type":"REQ_DOUBT_MONEY","jsonStr":pa};
		currentAjax=$.ajax({
			url: url,
			data: param,
			dataType: "json",
			type:"POST",
			timeout:5000,
			success: function(data){
				if(data.type!='RES_DOUBT_MONEY')
					plus.nativeUI.toast("错误的请求类型");
				var data=$.parseJSON(data.jsonStr);
				var pagnJson = $.parseJSON(data.pagnJson);
				var results = pagnJson.result;
				html = "";
				if(pagnJson.totalCount==1&&data.success==true){
//					$.each(results, function(key, norm) {
//						html+="<div class='mui-card'>";
//						html+="<ul class='mui-table-view'>";
//						html+="<li class='mui-table-view-cell'>竞买人姓名（单位名称）："+norm.bidderName+"</li>";
//						html+="<li class='mui-table-view-cell'>银行流水号："+norm.bankSerialNumber+"</li>";
//						html+="<li class='mui-table-view-cell'>存疑说明："+norm.doubtRemark+"</li>";
//						html+="<li class='mui-table-view-cell'>银行到账日期："+norm.arrivalDate+"</li>";
//						html+="<li class='mui-table-view-cell'>到账金额："+norm.arrivalMoney+"</li>";
//						html+="</ul></div>";
//					});
					html = "<p>名为"+results[0].bidderName+"的用户存在于存疑名单中，存疑原因为"+results.doubtRemark+"，请登录到天津市小客车指标调控竞价系统网站：www.tjqcjj.com确认，并在规定日期内办理竞价保证金缴付信息核对和更正手续，具体步骤请登录天津市小客车指标调控竞价系统网站：www.tjqcjj.com竞价指南中查看。</p>"
					$("#doubtDiv").html(html);
				}else if(pagnJson.totalCount>1&&data.success==true){
					html = "<p>有多个名为"+results[0].bidderName+"的用户存在于存疑名单中，请登录到天津市小客车指标调控竞价系统网站：www.tjqcjj.com确认，并在规定日期内办理竞价保证金缴付信息核对和更正手续，具体步骤请登录天津市小客车指标调控竞价系统网站：www.tjqcjj.com竞价指南中查看。</p>"
					$("#doubtDiv").html(html);
				}else{
					$("#doubtDiv").html("<p align='center'>您不在存疑保证金名单中(由于系统延时的原因，您可以登录到天津市小客车指标调控竞价系统网站：www.tjqcjj.com确认)。</p>");
				}
				toDisableButton('bidButton','timeCntLable');
			},
			error: function(){
				plus.nativeUI.toast("请检查您的网络");
			}
		});
	}
}

//function doubtSearch()
//{
//	stopAjax();
//	
//	
//}

