var clickNum = 0;
$(function(){
	$("#getRandomCode").click(function(){
		var mobile = $.trim($("#mobile").val());
		if(clickNum >= 4)
		{
			$(this).attr("disabled",true)
			return;
		}
		if(!hasText(mobile))
		{
			plus.nativeUI.toast( "请输入手机号码！");
			return;
		}
		if (!(mobile.length == 11 && /^(((13)|(14)|(15)|(17)|(18))+\d{9})$/.test(mobile)))
		{
			plus.nativeUI.toast( "请检查手机号是否正确！");
			return;
		}
		$("#getRandomCode").css("background-color", "gray");
	    $.ajax({
	    	type:"post",
			url:applyUri+"/apply/app/increment/bind/code.html",
	    	data:{
	    		"mobile":mobile,
	    		"bindType":"INCREMENT_PERSON"
	    	},
	    	success:function(data,status,xhr){
	    		var base64 = new Base64();
	    		plus.nativeUI.toast(base64.decode(xhr.getResponseHeader("message")));
	    		clickNum++;
	    		$("#getRandomCode").css("background-color", "dodgerblue");
	    	},
	    	error:function(xhr,status,data){
	    		plus.nativeUI.toast("服务器繁忙！请稍后重试！");
	    		$("#getRandomCode").css("background-color", "dodgerblue");
	    	}
	    });
	});
	$("#bind").click(function(){
		var randomCode = $.trim($("#randomCode").val());
		var mobile = $.trim($("#mobile").val());
		if(!hasText(mobile))
		{
			plus.nativeUI.toast( "请输入手机号码！");
			return;
		}
		var randomCodeReg = /^\d{6}$/;
		if(!(hasText(randomCode) && randomCodeReg.test($("#randomCode").val()))){
			plus.nativeUI.toast('请输入六位数字验证码');
			return;
		}
		if(!hasText(randomCode))
		{
			plus.nativeUI.toast( "请输入短信验证码！");
			return;
		}
		if(!(mobile.length == 11 && /^(((13)|(14)|(15)|(17)|(18))+\d{9})$/.test(mobile)))
		{
			plus.nativeUI.toast( "请检查手机号码是否正确！");
			return;
		}
		if(checkLogin())
		{
			var userId = getUserState().userId;
			var pa = '{"mobile":"'+mobile+'","userId":"'+userId+'","randomCode":"'+randomCode+'"}';
			var param = {"type":"REQ_PERSON_BIND","jsonStr":pa};
			$.ajax({
				type:"post",
				url:url,
				dataType:"json",
				data:param,
				timeout:5000,
				success:function(data){
					var res = data.jsonStr;
					res=JSON.parse(res);
					if(res.result == true)
					{
						plus.nativeUI.toast(res.message);
						plus.webview.open("../increment/manage.html");
					}
					else if(res.result == false)
					{
						plus.nativeUI.toast(res.message);
					}
				},
				error:function(data){
					plus.nativeUI.toast("服务器繁忙！请稍后重试！");
				}
			});
		}
		else{
			plus.nativeUI.toast("未登录！");
		}
	});
});