var localUrl = "http://218.67.246.252:9004";
//var localUrl = "http://192.168.1.20";
//var applyUri = "http://123.151.203.5:80"
var applyUri = "http://apply.tjjttk.gov.cn"
//var applyUri = "http://192.168.106.11:8080"
var url = applyUri+"/apply/comm/app.do";
var wurl = localUrl + "/travel/app/common/api";
var picurl = localUrl + "/travel/app/pic/showPic";
var randomUrl = "http://14v5n75537.iask.in/apply/app/increment/bind/code.html";

function hideHeaderFooter() {
	$('#backButton').remove();
	$.ui.toggleHeaderMenu(); // hide header
	$.ui.toggleNavMenu(); // hide footer
	//$("#loginInfo").text(window.screen.height + "*" + window.screen.width);
}

function hideHeader() {
	console.log("hideHeader");
	$.ui.toggleHeaderMenu(); // hide header
}

function hideFooter() {
	console.log("hideFooter");
	$.ui.toggleNavMenu();
}

//exit app
function exitApp() {
	navigator.app.exitApp();
}

function changeUser() {
	plus.nativeUI.confirm("确认注销当前账号?", doChange, "注销", ["取消", "好"]);
}

function doChange(e) {
	//注销
	if(e.index == 1) {
		var loginType = window.localStorage.getItem('loginType');
		window.localStorage.setItem(loginType, "");
		plus.webview.currentWebview().close();
	}
}

function goBack() {
	$.ui.goBack();
}

function gotoLogin() {
	if(plus.webview.currentWebview().getURL().indexOf("plus") > 0) {
		clicked("../login.html");
	} else {
		plus.webview.open("login.html");
	}

}

function myAlert(message) {

}

function stopAjax() {
	if(typeof currentAjax != "undefined")
		currentAjax.abort();
}

function hasText(e) {
	if(e == null || e == "")
		return false;
	return true;
}

var version = 0;
var versionUrl = "";

function checkVersion() {
	var param = '{"version":"' + version + '"}';
	var para = {
		"type": "REQ_ANDROID_VERSION",
		"jsonStr": param
	};
	$.ajax({
		url: url,
		data: para,
		type: "POST",
		dataType: "json",
		timeout: 5000,
		success: function(data) {
			$.ui.hideMask();
			if(data.type != 'RES_ANDROID_VERSION') {
				myAlert("错误的请求类型");
				return;
			}
			var data = $.parseJSON(data.jsonStr);
			var newVersion = Number(data.newVersion);
			var showVersion = data.showVersion;
			versionUrl = data.versionUrl;
			if(newVersion > version) {
				navigator.notification.confirm("小客车调控" + showVersion + "版已发布", confirmDismissed, "更新提示", "立即下载,以后再说");
			}
		},
		error: function() {
			console.log("checkVersion error");
		}
	});
}

function confirmDismissed(buttonIndex) {
	if(buttonIndex == 1) {
		// 只用于iOS，iOS下没有navigator.app
		//window.open("", "_system");
		// 该功能只适用于Android
		myAlert("starting loadAppUrl" + versionUrl);
		navigator.app.loadUrl(versionUrl, {
			openExternal: true
		});
	}
}

//当 采用的是 back(true);时使用
function myClicked(id) {
	var preWebV = plus.webview.getWebviewById(id);
	if(preWebV != null) {
		preWebV.show();
	} else {
		clicked(id);
	}
}

function loginClicked(id) {
	if(!checkLogin()) {
		gotoLogin();
	} else {
		clicked(id)
	}
}

function checkLogin() {
	var state = localStorage.getItem("$state");
	if(state == "{}" || state == "" || state == null)
		return false;
	return true;
}

function test() {
	return 1;
}

function editTrafficMoney(number, queryJson, callback) {
	var state = getUserState();
	var param = '{"number":"' + number + '","userId":"' + state.userId + '"}';
	var para = {
		"type": "REQ_TRAFFIC_MONEY",
		"jsonStr": param
	};
	$.ajax({
		url: wurl,
		data: para,
		type: "POST",
		dataType: "json",
		timeout: 5000,
		success: function(data) {
			if(data.type != 'RES_TRAFFIC_MONEY') {
				myAlert("错误的请求类型");
				return;
			}
			var data = $.parseJSON(data.jsonStr);
			if(data.result) {
				if(number > 0) {
					plus.nativeUI.alert("获得" + number + "个交通币");
					state.trafficMoney += number;
					localStorage.setItem("$state", JSON.stringify(state));
					plus.webview.getWebviewById("tab-webview-subpage-myself.html").reload();
					return false;
				} else {
					queryJson.queryTime += 10;
					plus.nativeUI.alert("交通币" + number);
					state.trafficMoney += number;
					localStorage.setItem("$state", JSON.stringify(state));
					plus.webview.getWebviewById("tab-webview-subpage-myself.html").reload();
					return callback(true);
				}
			} else {
				plus.nativeUI.alert(data.msg);
			}
		},
		error: function() {
			plus.nativeUI.alert("请检查您的网络")
		}
	});
}

function getByQueryType(queryType) {
	var query = localStorage.getItem(queryType);
	if(query == "{}" || query == null) {
		console.log(123)
		initialByQueryType(queryType);
		query = localStorage.getItem(queryType)
	}
	return JSON.parse(query);
}

function initialByQueryType(queryType) {
	console.log("initial")
	var date = new Date();
	date = date.toLocaleDateString();
	if(queryType == "TAXI_QUERY") {
		var query = {
			queryTime: 1,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
	if(queryType == "TRUNK_QUERY") {
		console.log("trunk")
		var query = {
			queryTime: 1,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
	if(queryType == "TRUNK_UNIT_QUERY") {
		var query = {
			queryTime: 3,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
	if(queryType == "TRUNK_PENALIZE_QUERY") {
		var query = {
			queryTime: 1,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
	if(queryType == "COACH_QUERY") {
		var query = {
			queryTime: 3,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
	if(queryType == "COACH_UNIT_QUERY") {
		var query = {
			queryTime: 1,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
	if(queryType == "COACH_PENALIZE_QUERY") {
		var query = {
			queryTime: 1,
			queryDate: date,
			usedTime: 0
		};
		localStorage.setItem(queryType, JSON.stringify(query));
	}
}

function validate(queryType, callback) {
	var query = getByQueryType(queryType);
	var today = new Date();
	today = today.toLocaleDateString();
	console.log(JSON.stringify(query));

	//检查日期
	if(query.queryDate != today) {
		console.log("reset")
		if(checkLogin()) {
			query.queryTime = 5;
			query.usedTime = 0;
			setByQueryType(queryType,query);
			return callback(queryType);
		} else {
			query.queryTime = 1;
			query.usedTime = 0;
			setByQueryType(queryType,query);
			return callback(queryType);
		}
	} else {
		console.log("noReset")
		if(checkLogin()) {
			var state = getUserState();
			if(query.usedTime == 0) {
				console.log(0)
				query.queryTime = 5;
				setByQueryType(queryType,query);
				return callback(queryType);
			} else {
				if(query.usedTime < 5) {
					console.log("<5")
					query.queryTime = 5 - query.usedTime;
					setByQueryType(queryType,query);
				}
				if(query.queryTime <= 0) {
					console.log(-1)
					console.log(state.trafficMoney)
					if(parseInt(state.trafficMoney) > 0) {
						console.log("pay")
						if(confirm("查询次数已用完，是否使用交通币购买？")) {
							editTrafficMoney(-1, query, function(result) {
								if(result) {
									setByQueryType(queryType,query);
									return callback(queryType);
								} else {
									return false;
								}
							});
						} else {
							return false;
						}
					} else {
						plus.nativeUI.alert("今日查询次数已用完")
						return false;
					}
				} else {
					return callback(queryType);
				}
			}
		} else {
			if(query.usedTime == 0) {
				query.queryTime = 1;
				setByQueryType(queryType,query);
				return callback(queryType);
			} else if(query.queryTime <= 0) {
				plus.nativeUI.alert("今日查询次数已用完")
				return false;
			}
		}
	}
}

function setByQueryType(queryType,query) {
	var date = new Date();
	date = date.toLocaleDateString();
	query.queryDate = date;
	localStorage.setItem(queryType, JSON.stringify(query));
}

//function getQueryTime()
//{
//	var querySystem = localStorage.getItem("querySystem");
//	if(querySystem == "{}"){
//		createQueryTime();
//	}
//	
//	
//	if(checkLogin()){
//	}
//	return querySystem = json.parse(querySystem);
//}
//
//function setQueryTime(querySystem)
//{
//	localStorage.setItem("querySystem", querySystem);
//}
//
//function createQueryTime()
//{
//	var taxiQuery ={queryTime:1,queryDate:null};
//	var trunkQuery ={queryTime:3,queryDate:null};
//	var trunkUnitQuery ={queryTime:1,queryDate:null};
//	var trunkPenalizeQuery ={queryTime:1,queryDate:null};
//	var coachQuery ={queryTime:3,queryDate:null};
//	var coachUnitQuery ={queryTime:1,queryDate:null};
//	var coachPenalizeQuery ={queryTime:1,queryDate:null};
//	var querySystem = {taxi:taxiQuery,trunk:trunkQuery,trunkUnit:trunkUnitQuery,trunkPenalize:trunkPenalizeQuery,coach:coachQuery,coachUnit:coachUnitQuery,coachPenalize:coachPenalizeQuery};
//	localStorage.setItem("querySystem",JSON.stringify(querySystem));
//}

function getUserState() {
	var state = JSON.parse(localStorage.getItem("$state"));
	return state;
}