function loadEnterprise(){
			stopAjax();
			var loginType = window.localStorage.getItem('loginType');
			var ticketId = window.localStorage.getItem(loginType+'ticketId');
			var pa='{"ticketId":"'+ticketId+'"}';
			var param = {"type":"REQ_ENTERPRISE_ACCOUNT","jsonStr":pa};
			if(loginType=="org")
				var param = {"type":"REQ_ORG_ACCOUNT","jsonStr":pa};
			currentAjax = $.ajax({
				url : url,
				data : param,
				dataType : "json",
				type : "POST",
				timeout:5000,
				success : function(data) {
					if(data.type!='RES_ENTERPRISE_ACCOUNT'&&loginType=="enterprise")
						plus.nativeUI.toast("错误的请求类型");
					else if(data.type!='RES_ORG_ACCOUNT'&&loginType=="org")
						plus.nativeUI.toast("错误的请求类型");
					var data=$.parseJSON(data.jsonStr);
					if (data.reason) {
						console.log(data.unitName);
						$(".unitName").html(data.unitName);
						$(".unitOrgCode").html(data.orgCode);
						$(".unitMobile").html(data.mobile);
						$(".unitContactName").html(data.name);
						$(".unitRegisterTime").html(data.resultTime);
						checkLogin(loginType,true);
						return false;
					}  else {
						console.log(data.unitName);
						$(".unitName").html(data.unitName);
						$(".unitOrgCode").html(data.orgCode);
						$(".unitMobile").html(data.mobile);
						$(".unitContactName").html(data.name);
						$(".unitRegisterTime").html(data.resultTime);
					}
				},
				error : function() {
					plus.nativeUI.toast("请检查您的网络");
				}
			});
		}
		
		function loadEnterpriseApply(){
			stopAjax();
			var loginType = window.localStorage.getItem('loginType');
			var ticketId = window.localStorage.getItem(loginType+'ticketId');
			var pa='{"ticketId":"'+ticketId+'"}';
			var param = {"type":"REQ_ENTERPRISE_APPLY","jsonStr":pa};
			if(loginType=="org")
				var param = {"type":"REQ_ORG_APPLY","jsonStr":pa};
			currentAjax = $.ajax({
				url: url,
				data: param,
				type : "POST",
				dataType: "json",
				timeout:5000,
				success: function(data){
					if(data.type!='RES_ENTERPRISE_APPLY'&&loginType=="enterprise")
						plus.nativeUI.toast("错误的请求类型");
					else if(data.type!='RES_ORG_APPLY'&&loginType=="org")
						plus.nativeUI.toast("错误的请求类型");
					var data=$.parseJSON(data.jsonStr);
					if (data.reason) {
						checkLogin(loginType,true);
						return false;
					}
					else  {
						$(".unitApplyName").html(data.unitName);
						$(".applyOrgCode").html(data.orgCode);
						$(".unitApplyMobile").html(data.mobile);
						$(".unitApplyStatus").html(data.applyStatus);
						if(data.applyStatus=="新申请"||data.applyStatus=="审核中"){
							$("#infoLiUnit").css("padding","20px 20px 20px 10px");
							$(".noteInfoUnit").html("审核结果将于"+data.resultTime+"公布。");
							$("#infoLiUnit").show();
						}
						else if(data.applyStatus=="审核不通过"){
							failReason=data.failedReason;
							//$(".noteInfo").html("审核不通过原因："+data.failedReason+"。");
							$("#infoLiUnit").css("padding","0px 20px 0px 10px");
							$(".noteInfoUnit").html("<div class='an_ck' ><a href='#fail' style='color:white;text-decoration:none;'>查看原因</a></div>")
							$("#infoLiUnit").show();
						}
						else{
							$("#infoLiUnit").hide();
						}
						//申请编码
						if(data.applyCodeList==null||data.applyCodeList==""||data.applyCodeList.length==0){
							$("#applyCodeLi").hide();
							$("#applyCodeTable").hide();
						}
						else{
							html="";
							$.each(data.applyCodeList,function(i,list){
								html+="<tr style='padding-left:5px'><td>";
								html+=i+1;
								html+="</td><td>";
								html+=list.applyCode;
								html+="</td><td>";
								html+=list.regType;
								html+="</td><td></td></tr>";
							});
							$("#applyCodeTable>tbody").html(html);
							$("#applyCodeLi").show();
							$("#applyCodeTable").show();
						}
					}
				},
				error: function(){
					plus.nativeUI.toast("验证失败，请检查网络");
				}
			});
		}
		
		function loadEnterpriseNorm() {
//			enterpriseScrollUnbind();
			enterpriseNorm();
		}

		var entpage = 1;
		
		function enterpriseNorm() {
			stopAjax();
			entpage=1;
			var loginType = window.localStorage.getItem('loginType');
			var ticketId = window.localStorage.getItem(loginType+'ticketId');
			var pa='{"ticketId":"'+ticketId+'","pageNo":'+1+',"pageSize":'+1+'}';
			var param = {"type":"REQ_ENTERPRISE_NORM","jsonStr":pa};
			if(loginType=="org")
				param = {"type":"REQ_ORG_NORM","jsonStr":pa};
			currentAjax = $.ajax({
				url : url,
				data : param,
				dataType : "json",
				type : "POST",
				timeout:5000,
				success : function(data) {
					if(data.type!='RES_ENTERPRISE_NORM'&&loginType=="enterprise")
						plus.nativeUI.toast("错误的请求类型");
					else if(data.type!='RES_ORG_NORM'&&loginType=="org")
						plus.nativeUI.toast("错误的请求类型");
					var data=$.parseJSON(data.jsonStr);
					if (data.reason) {
						checkLogin(loginType,true);
						return false;
					}
					else if (data.pagn.result.length == 0) {
						$("#entresult").html("未查询到有效未使用指标");
						$("#entresultDiv").show();
						$("#normInfo").hide();
					} else {
						html = "";
						$.each(data.pagn.result, function(key, norm) {
							$(".eNormNo").html(norm.normNo);
							$(".eNormApplyCode").html(norm.applyCode);
							$(".eNormIssue").html(norm.issueNumber);
							$(".eNormRegType").html(norm.regType);
							$(".eNormTime").html(norm.time);
							$(".eNormValidTime").html(norm.noValidTime);
						});
//						enterpriseScrollBind();
					}
				},
				error : function() {
					plus.nativeUI.toast("请检查您的网络");
				}
			});
		}

		var enterpriseScroll;

		function enterpriseScrollBar() {
			enterpriseScroll = $("#enterpriseNorm").scroller();
			enterpriseScroll.addInfinite();
			enterpriseScroll.enable();
			enterpriseScrollBind();
			$("#enterpriseNorm").css("overflow", "auto");
		}

		function enterpriseScrollBind() {
			$.bind(enterpriseScroll,"infinite-scroll",
							function() {
								var self = this;
								console.log("infinite triggered");
								$("#entinfinite")
										.html(
												"<img src='images/loading.gif' style='height:18px;'></img>加载中...");
								$.bind(enterpriseScroll, "infinite-scroll-end",
										function() {
											console.log("infinite-scroll-end");
											$.unbind(enterpriseScroll,
													"infinite-scroll-end");

											getPagedEnterprise(self);
										});
							});
		}

		function enterpriseScrollUnbind() {
			$.unbind(enterpriseScroll, "infinite-scroll");
		}


		function getPagedEnterprise() {
			stopAjax();
			var loginType = window.localStorage.getItem('loginType');
			var ticketId = window.localStorage.getItem(loginType+'ticketId');
			console.log(entpage);
			var pa='{"ticketId":"'+ticketId+'","pageNo":'+(entpage+1)+',"pageSize":'+1+'}';
			var param = {"type":"REQ_ENTERPRISE_NORM","jsonStr":pa};
			if(loginType=="org")
				param = {"type":"REQ_ORG_NORM","jsonStr":pa};
			currentAjax = $.ajax({
				url : url,
				data : param,
				dataType : "json",
				type : "POST",
				timeout:5000,
				success : function(data) {
					if(data.type!='RES_ENTERPRISE_NORM'&&loginType=="enterprise")
						plus.nativeUI.toast("错误的请求类型");
					else if(data.type!='RES_ORG_NORM'&&loginType=="org")
						plus.nativeUI.toast("错误的请求类型");
					var data=$.parseJSON(data.jsonStr);
					if (data.reason) {
						checkLogin(loginType,true);
						return false;
					} else if (data.pagn.result.length > 0 && data.pagn.currentPage > entpage) {
						html = "";
						$.each(data.pagn.result, function(key, norm) {
							html += "<div class='mui-card' style='padding-top:5px;'><ul class='mui-table-view'>";
							html += "<li class='mui-table-view-cell'>指标编号： <span >";
							html += norm.normNo;
							html += "</span></li>";
							html += "<li class='mui-table-view-cell'>申请编码： <span >";
							html += norm.applyCode;
							html += "</span></li>";
							html += "<li class='mui-table-view-cell'>期号： <span >";
							html += norm.issueNumber;
							html += "</span></li>";
							html += "<li class='mui-table-view-cell'>指标类型： <span >";
							html += norm.regType;
							html += "</span></li>";
							html += "<li class='mui-table-view-cell'>指标获得日期：<span >";
							html += norm.time;
							html += "</span></li>";
							html += "<li class='mui-table-view-cell'>指标有效期：<span >";
							html += norm.noValidTime;
							html += "</span></li><li class='divider'></li>";
							html += "</ul></div><br />";
						});
						$("#normContainer").append(html);
						entpage++;
					}else{
						mui('#norm').pullRefresh().endPullupToRefresh(true);
					}
				},
				error : function() {
					plus.nativeUI.toast("请检查您的网络");
				}
			});
		}