/**
 * 消息
 * 需要jquery支持
 * author : LiuKing
 * date : 2015-09-25
 */
var intt;
function startMessageQuery()
{
	//先停止计时器
	if(intt!=null && intt!=undefined){
		clearInterval(intt);
	}
	var messageSwitch = window.localStorage.getItem("messageSwitch");
	if(messageSwitch=='true'){
		// 添加监听从系统消息中心点击某条消息启动应用事件
		plus.push.addEventListener( "click", messageHander, false ); 
		intt = setInterval("messageQuery()",6000);
	}
}

/**
 * 消息的处理
 * @param {Object} msg
 */
function messageHander(msg)
{
	
	//查看消息 ---- 带考虑加入安全验证------产生消息是使用的是不太安全的机制----
	
	// 分析msg.payload处理业务逻辑 
	plus.nativeUI.toast( msg.content ); 
	//清除所有消息
//	plus.push.clear();
	var palyload = msg.payload;
	if(palyload!=undefined && palyload.indexOf("CAR")==0){
		//进入小客车历史消息页面
		clicked("plus/carMessgaeList.html");
	}
	if(palyload!=undefined && palyload.indexOf("TRA")==0){
		//进入小客车历史消息页面
		clicked("plus/trafficMessageList.html");
	}
	
	
}


function messageQuery()
{
	//var cinfo = plus.push.getClientInfo();
	//plus.nativeUI.toast(JSON.stringify( cinfo ));
	
	var trafficSwitch = window.localStorage.getItem("trafficSwitch");
	var jamSwitch = window.localStorage.getItem("jamSwitch");
	var carSwitch = window.localStorage.getItem("carSwitch");
	
//	var content = "这是一个测试消息。";
//	var payload = "payload是什么？";
//	//创建本地消息
//	plus.push.createMessage( content, payload, {title:"测试"} );
	
	if(trafficSwitch=='true'){
		//查询交通时间消息
		createTrafficMessage();
	}
	if(jamSwitch=='true'){
		//查询交通时间消息
		createJamMessage();
	}
	if(carSwitch=='true'){
		//查询小客车消息
		createCarMessage();
	}
	
}

/**
 * 创建小客车消息
 */
function createCarMessage()
{
	var userMsg=window.localStorage.getItem("personApply");
	if(hasText(userMsg)){
		mobile=userMsg.split(",")[0];
		passWord=userMsg.split(",")[1];
		var pa = '{"userName": "'+mobile+'","passwd":"'+passWord+'"}';
		var param = {"type":"REQ_PERSON_ADD_MSG","jsonStr":pa};
		stopAjax();
		
		currentAjax = $.ajax({
			url: url,
			data: param,
			type : "POST",
			dataType: "json",
			timeout:5000,
			success: function(data){
				if(data.type!='RES_PERSON_ADD_MSG'){
					return false;	
				}
				var data=$.parseJSON(data.jsonStr);
				
				//创建本地消息
				var content = data.msgContent;
				var titleStr = data.title;
				var payloadStr = "CAR"+data.payload;
				if(content!=null && content!=''){
					plus.push.createMessage( content, payloadStr, {title:titleStr} );
				}
			}
		});
	}
}


/**
 * 创建交通事件消息 
 */
function createTrafficMessage()
{
	var pa = '{"pageNo":' + 1 + ',"pageSize":' + 16 + '}';
	var param = {"type":"REQ_TRAFFIC_EVENT_MSG","jsonStr":pa};
	stopAjax();
	
	currentAjax = $.ajax({
		url: wurl,
		data: param,
		type : "POST",
		dataType: "json",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_TRAFFIC_EVENT_MSG'){
				return false;	
			}
			var data=$.parseJSON(data.jsonStr);
			
			//创建本地消息
			var content = data.msgContent;
			var titleStr = data.title;
			var payloadStr = ""+data.payload;
			if(content!=null && content!=''){
				plus.push.createMessage( content, payloadStr, {title:titleStr} );
			}
		},
		error:function(){
		}
	});
}

/**
 * 创建拥堵消息
 */
function createJamMessage()
{
	
}
