function loadRenewUnit() {
	$("#paHeader").find("h1").text("单位更新");
	stopAjax();
	$.ui.hideMask();
	$.ui.showMask('加载中...');
	var pa='{"ticketId":"'+ticketId+'"}';
	var param = {"type":"REQ_RENEW_UNIT_ACCOUNT","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			$.ui.hideMask();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_UNIT_ACCOUNT')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewUnit",true);
				return false;
			}  else {
				$(".renewUnitName").html(data.name);
				$(".renewUnitMobile").html(data.mobile);
				$(".renewUnitIdType").html(data.idType);
				$(".renewUnitIdCode").html(data.idCode);
				$(".renewUnitTime").html(data.createTime);
			}
		},
		error : function() {
			$.ui.hideMask();
			myAlert("请检查您的网络");
		}
	});
}


function loadRenewUnitApply() {
	renewPaScrollUnbind();
	renewUnitApply();
}

var ruapage = 1;
function renewUnitApply() {
	stopAjax();
	ruapage=1;
	$("#ruainfinite").html("");
	$.ui.hideMask();
	$.ui.showMask('加载中...');
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_UNIT_APPLY","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			$.ui.hideMask();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_UNIT_APPLY')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewUnitApply",true);
				return false;
			} else if (data.pagn.result.length == 0) {
				$("#ruaresult").html("未查询到申请信息");
			} else {
				html = "";
				$.each(data.pagn.result, function(key, apply) {
					html += "<ul class='list inset'>";
					html += "	<li>姓名： <span >";
					html += apply.name;
					html += "</span></li>";
					html += "	<li>号牌号码： <span >";
					html += apply.licenceCode;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += apply.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += apply.idCode;
					html += "</span></li>";
					html += "	<li>业务类型： <span >";
					html += apply.bizType;
					html += "</span></li>";
					html += "	<li>申请状态：<span >";
					html += apply.status;
					html += "</span></li>";
					html += "	<li>申请日期：<span >";
					html += apply.applyTime;
					html += "</span></li><li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewUnitApplyDiv").html(html);
				renewUaScrollBind();
			}
		},
		error : function() {
			$.ui.hideMask();
			myAlert("请检查您的网络");
		}
	});
}

var renewUaScroll;


function renewUaScrollBar() {
	console.log("renewUaScroll");
	renewUaScroll = $("#renewUnitApply").scroller();
	renewUaScroll.addInfinite();
	renewUaScroll.enable();
	renewUaScrollBind();
	$("#renewUnitApply").css("overflow", "auto");
}

function renewUaScrollBind() {
	$.bind(renewUaScroll,"infinite-scroll",
					function() {
						var self = this;
						console.log("infinite triggered");
						$("#ruainfinite")
								.html(
										"<img src='images/loading.gif' style='height:18px;'></img>加载中...");
						$.bind(renewUaScroll, "infinite-scroll-end",
								function() {
									console.log("infinite-scroll-end");
									$.unbind(renewUaScroll,
											"infinite-scroll-end");

									getPagedRenewUa(self);
								});
					});
}

function renewUaScrollUnbind() {
	$.unbind(renewUaScroll, "infinite-scroll");
}


function getPagedRenewUa(self) {
	stopAjax();
	$("#ruainfinite").html("");
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+ruapage + 1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_UNIT_APPLY","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			self.clearInfinite();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_UNIT_APPLY')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewUnitApply",true);
				return false;
			} else if (data.pagn.result.length > 0 && data.pagn.currentPage > ruapage) {
				html = "";
				$.each(data.pagn.result, function(key, apply) {
					html += "<ul class='list inset'>";
					html += "	<li>单位名称： <span >";
					html += apply.name;
					html += "</span></li>";
					html += "	<li>号牌号码： <span >";
					html += apply.licenceCode;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += apply.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += apply.idCode;
					html += "</span></li>";
					html += "	<li>业务类型： <span >";
					html += apply.bizType;
					html += "</span></li>";
					html += "	<li>申请状态：<span >";
					html += apply.status;
					html += "</span></li>";
					html += "	<li>申请日期：<span >";
					html += apply.applyTime;
					html += "</span></li><li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewUnitApplyDiv").append(html);
				ruapage++;
				$(self.el).find("#ruainfinite").html("");
			} else {
				$(self.el).find("#ruainfinite").html("没有更多申请");
			}
		},
		error : function() {
			myAlert("请检查您的网络");
		}
	});
}





function loadRenewUnitNorm() {
	renewUnScrollUnbind();
	renewUnitNorm();
}

var runpage = 1;
function renewUnitNorm() {
	stopAjax();
	runpage=1;
	$("#runinfinite").html("");
	$.ui.hideMask();
	$.ui.showMask('加载中...');
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_UNIT_NORM","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			$.ui.hideMask();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_UNIT_NORM')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewUnitNorm",true);
				return false;
			} else if (data.pagn.result.length == 0) {
				$("#runresult").html("未查询到相关联的有效未使用指标");
			} else {
				html = "";
				$.each(data.pagn.result, function(key, norm) {
					html += "<ul class='list inset'>";
					html += "	<li>指标编号： <span >";
					html += norm.normNo;
					html += "</span></li>";
					html += "	<li>原号牌号码： <span >";
					html += norm.licenceCode;
					html += "</span></li>";
					html += "	<li>单位名称： <span >";
					html += norm.name;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += norm.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += norm.idCode;
					html += "</span></li>";
					html += "	<li>指标类型： <span >";
					html += norm.regType;
					html += "</span></li>";
					html += "	<li>指标获取日期：<span >";
					html += norm.time;
					html += "</span></li>";
					html += "	<li>指标有效期：<span >";
					html += norm.normValidTime;
					html += "</span></li><li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewUnitNormDiv").html(html);
				renewUnScrollBind();
			}
		},
		error : function() {
			$.ui.hideMask();
			myAlert("请检查您的网络");
		}
	});
}

var renewUnScroll;

function renewUnScrollBar() {
	renewUnScroll = $("#renewUnitNorm").scroller();
	renewUnScroll.addInfinite();
	renewUnScroll.enable();
	renewUnScrollBind();
	$("#renewUnitNorm").css("overflow", "auto");
}

function renewUnScrollBind() {
	$.bind(renewUnScroll,"infinite-scroll",
					function() {
						var self = this;
						$("#runinfinite")
								.html(
										"<img src='images/loading.gif' style='height:18px;'></img>加载中...");
						$.bind(renewUnScroll, "infinite-scroll-end",
								function() {
									$.unbind(renewUnScroll,
											"infinite-scroll-end");

									getPagedRenewUn(self);
								});
					});
}

function renewUnScrollUnbind() {
	$.unbind(renewUnScroll, "infinite-scroll");
}


function getPagedRenewUn(self) {
	stopAjax();
	$("#runinfinite").html("");
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+runpage + 1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_UNIT_NORM","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			self.clearInfinite();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_UNIT_NORM')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewUnitNorm",true);
				return false;
			} else if (data.pagn.result.length > 0 && data.pagn.currentPage > runpage) {
				html = "";
				$.each(data.pagn.result, function(key, norm) {
					html += "<ul class='list inset'>";
					html += "	<li>指标编号： <span >";
					html += norm.normNo;
					html += "</span></li>";
					html += "	<li>原号牌号码： <span >";
					html += norm.licenceCode;
					html += "</span></li>";
					html += "	<li>单位名称： <span >";
					html += norm.name;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += norm.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += norm.idCode;
					html += "</span></li>";
					html += "	<li>指标类型： <span >";
					html += norm.regType;
					html += "</span></li>";
					html += "	<li>指标获取日期：<span >";
					html += norm.time;
					html += "</span></li>";
					html += "	<li>指标有效期：<span >";
					html += norm.normValidTime;
					html += "</span></li><li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewUnitNormDiv").append(html);
				runpage++;
				$(self.el).find("#runinfinite").html("");
			} else {
				$(self.el).find("#runinfinite").html("没有更多指标");
			}
		},
		error : function() {
			myAlert("请检查您的网络");
		}
	});
}