function trunkSearch(queryType){
	var query = getByQueryType(queryType);
	console.log(JSON.stringify(query))
	stopAjax();
	var licenseCodeReg = /^[\da-zA-z]{6}$/;
	var licenseCode = "津"+$("#licenseCode").val();
	if(!(hasText($("#licenseCode").val()) && licenseCodeReg.test($("#licenseCode").val()))){
		plus.nativeUI.toast("请输入六位数字或字母");
		return false;
	}
	var pa='{"licenseCode":"'+licenseCode+'"}';
	var param = {"type":"REQ_TRUNK","jsonStr":pa};
	currentAjax=$.ajax({
		url: wurl,
		data: param,
		dataType: "json",
		type:"POST",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_TRUNK')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			var trunk = $.parseJSON(data.jsonStr);
			html = "";
			if(data.success){
				html+="<a style='margin-left:10px;font-size:16px;'>查询结果</a><ul class='mui-table-view' style='margin-top:10px;'>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>车牌照号</span><span class='mui-pull-right'>"+ trunk.licenseCode +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>所属公司</span><span class='mui-pull-right'>"+ trunk.unitName +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>是否合法</span><span class='mui-pull-right'>是</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>车辆类型</span><span class='mui-pull-right'>"+ trunk.vehicleType +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>车辆品牌</span><span class='mui-pull-right'>"+ trunk.brandModel +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>车长</span><span class='mui-pull-right'>"+ trunk.vehicleLength +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>车宽</span><span class='mui-pull-right'>"+ trunk.vehicleWidth +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>车高</span><span class='mui-pull-right'>"+ trunk.vehicleHeight +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>经营范围</span><span class='mui-pull-right'>"+ trunk.businessScope +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>道路运输许可证号</span><span class='mui-pull-right'>"+ trunk.roadTransportNumber +"</span></a></li>";
//				html+="<li class='mui-table-view-cell'>所属公司："+ trunk.unitName +"</li>";
//				html+="<li class='mui-table-view-cell'>是否合法：是</li>";
//				html+="<li class='mui-table-view-cell'>车辆类型："+ trunk.vehicleType +"</li>";
//				html+="<li class='mui-table-view-cell'>车辆品牌："+ trunk.brandModel +"</li>";
//				html+="<li class='mui-table-view-cell'>车宽："+ trunk.vehicleWidth +"</li>";
//				html+="<li class='mui-table-view-cell'>车高："+ trunk.vehicleHeight +"</li>";
//				html+="<li class='mui-table-view-cell'>经营范围："+ trunk.businessScope +"</li>";
//				html+="<li class='mui-table-view-cell'>道路运输许可证号："+ trunk.roadTransportNumber +"</li>";
				html+="</ul><br/>";
				//保存查询次数
				query.queryTime -= 1;
				query.usedTime += 1;
				localStorage.setItem(queryType, JSON.stringify(query));
				console.log(localStorage.getItem(queryType));
			}else{
				html = "<p>未查询到结果！</p>";
			}
			$("#trunkInfo").html(html);
		},
		error: function(){
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}
function unitSearch(queryType){
	var query = getByQueryType(queryType);
	console.log(JSON.stringify(query))
	stopAjax();
	var trunkUnit = $("#trunkUnit").val();
	if(!hasText(trunkUnit)){
		plus.nativeUI.toast("企业名称不能为空");
		return false;
	}
	var driverIdCodeReg = /^[A-Za-z0-9\u4e00-\u9fa5]+$/;
	if(!driverIdCodeReg.test($("#trunkUnit").val())){
		plus.nativeUI.toast("企业名称只能是汉字字母数字");
		return false;
	}	
	var pa='{"unitName":"'+trunkUnit+'"}';
	var param = {"type":"REQ_TRUNK_UNIT","jsonStr":pa};
	currentAjax=$.ajax({
		url: wurl,
		data: param,
		dataType: "json",
		type:"POST",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_TRUNK_UNIT')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			var trunk = $.parseJSON(data.jsonStr);
			html = "";
			if(data.success){
				html+="<a style='font-size:16px;'>查询结果</a><ul class='mui-table-view' style='margin-top:10px;'>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>企业名称</span><span class='mui-pull-right'>"+ trunk.unitName +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>经营范围</span><span class='mui-pull-right'>"+ trunk.licenseItem +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>行政许可文件编号</span><span class='mui-pull-right'>"+ trunk.licenseNumber +"</span></a></li>";
				html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>有效期</span><span class='mui-pull-right'>"+ trunk.validTo.substr(0,10) +"</span></a></li>";
				html+="</ul><br/>";
				//保存查询次数
				query.queryTime -= 1;
				query.usedTime += 1;
				localStorage.setItem(queryType, JSON.stringify(query));
				console.log(localStorage.getItem(queryType));
			}else{
				html = '<p>'+data.msg+'</p>';
			}
			$("#unitInfo").html(html);
		},
		error: function(){
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}
function penalizeSearch(queryType){
	var query = getByQueryType(queryType);
	stopAjax();
	var penalizeUnit = $("#penalizeUnit").val();
	var unitType = "TRUNK";
	if(!hasText(penalizeUnit)){
		plus.nativeUI.toast("企业名称不能为空");
		return false;
	}
	var driverIdCodeReg = /^[A-Za-z0-9\u4e00-\u9fa5]+$/;
	if(!driverIdCodeReg.test($("#penalizeUnit").val())){
		plus.nativeUI.toast("企业名称只能是汉字字母数字");
		return false;
	}	
	var pa='{"unitName":"'+penalizeUnit+'","unitType":"'+unitType+'"}';
	var param = {"type":"REQ_TRUNK_PENALIZE","jsonStr":pa};
	currentAjax=$.ajax({
		url: wurl,
		data: param,
		dataType: "json",
		type:"POST",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_TRUNK_PENALIZE')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			var listJson = $.parseJSON(data.listJson);
			html = "<a style='margin-left:10px;font-size:16px;'>查询结果</a>";
			if(data.success){
				$.each(listJson, function(key, unit) {
					html+="<ul class='mui-table-view' style='margin-top:10px;'>";
					html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>企业名称</span><span class='mui-pull-right'>"+ unit.unitName +"</span></a></li>";
					html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>处罚决定文书号</span><span class='mui-pull-right'>"+ unit.penalizeDecisionNo +"</span></a></li>";
					html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>违法行为</span><span class='mui-pull-right'>"+ unit.illegalBehavior +"</span></a></li>";
					html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>罚款金额</span><span class='mui-pull-right'>"+ unit.penalizeMoney +"(万元)</span></a></li>";
					html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>没收金额</span><span class='mui-pull-right'>"+ unit.confiscationMoney +"</span></a></li>";
					html+="<li class='mui-table-view-cell'><a><span class='mui-pull-left'>处罚日期</span><span class='mui-pull-right'>"+ unit.judgeDate.substr(0,10) +"</span></a></li>";
					html+="</ul><br/>";
				});
				//保存查询次数
					query.queryTime -= 1;
					query.usedTime += 1;
					localStorage.setItem(queryType, JSON.stringify(query));
					console.log(localStorage.getItem(queryType));
			}else{
				html = "<p>未查询到结果</p>"
			}
			$("#penalizeInfo").html(html);
		},
		error: function(){
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}