var itemstr;
var currentStation = 1;

function plusReady() {
	// 隐藏滚动条
	plus.webview.currentWebview().setStyle({
		scrollIndicator: 'none'
	});
	// Android处理返回键
	plus.key.addEventListener('backbutton', function() {
		if (confirm('确认退出？')) {
			plus.runtime.quit();
		}
	}, false);

	//记录启动app
	start();
	compatibleAdjust();
	mui('#con').pullRefresh().endPullupToRefresh(true);
}


mui.init({
	pullRefresh: {
		container: '#con',
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

if (mui.os.plus) {
	mui.plusReady(function() {
		setTimeout(function() {
			mui('#con').pullRefresh().pullupLoading();
		}, 1000);

	});
} else {
	mui.ready(function() {
		mui('#con').pullRefresh().pullupLoading();
	});
}

function loadDh(idStr,dest){
	window.localStorage.setItem("destAddr",dest);
	clicked(idStr);
}

function pullupRefresh() {
	setTimeout(function() {
		mui('#con').pullRefresh().endPullupToRefresh(false);
		queryPlace(currentStation); //加载更多
	}, 1500);
}


var entpage = 1;
var changed = true;

function queryPlace(address) {
	var pa = '{"address":"' + address + '","pageNo":' + entpage + ',"pageSize":' + 16 + '}';
	var param = {
		"type": "REQ_FIXQUERY",
		"jsonStr": pa
	};
	$.ajax({
		type: "POST",
		url: wurl,
		data: param,
		dataType: "json",
		timeout: 5000,
		success: function(data) {
			var data = $.parseJSON(data.jsonStr);
			var pagnJson = $.parseJSON(data.pagnJson);
			var results = pagnJson.result;
			if (pagnJson.totalCount > 0 && pagnJson.currentPage >= entpage) {
				var html = "<div><ul class='mui-table-view mui-table-view-chevron'>";
				$.each(results, function(key, vehicle) {

					html += "<li class='mui-table-view-cell mui-collapse'><a class='mui-navigate-right' href='#'>";
					html += vehicle.name;
					html += "</a><ul class='mui-table-view mui-table-view-chevron'><li class='mui-table-view-cell'><b>经营范围</b>：";
					html += vehicle.scope;
					html += "</li><li class='mui-table-view-cell'><b>地址</b>：";
					html += vehicle.address;
					//添加导航 add by : LMK 20150925
					html += "</li><li class='mui-table-view-cell'><div align='center'><a href='#' id='longDistance.html' onclick='loadDh(this.id,\"" + vehicle.name + "\")'><button type='button' class='mui-btn mui-btn-primary mui-btn-outlined'>导航去维修点</button></a></div>";
					html += "</li></ul></li>";
				});
				html += "</ul></div>";
				if (changed) {
					$("#idiv").html(html);
					mui('#con').pullRefresh().refresh(true);
					changed = false;
				} else {
					$("#idiv").append(html);
				}
				entpage++;
			} else {
				mui('#con').pullRefresh().endPullupToRefresh(true);
			}
		},
		error: function() {
			plus.nativeUI.toast("请检查您的网络");
		},
	});
}