

function searchRobberyNorm()
{
	stopAjax();
	var licenseCodeReg = /^[\da-zA-z]{6}$/;
	var licenceCode=$("#robberLicence").val().trim();
	var idCode=$("#robberIdCode").val().trim();
	if(!licenseCodeReg.test($("#robberLicence").val())){
		plus.nativeUI.toast("请输入正确车牌号");
		return false;
	}
	var driverIdCodeReg = /^[A-Za-z0-9\u4e00-\u9fa5]+$/;
	if(!driverIdCodeReg.test($("#robberIdCode").val())){
		plus.nativeUI.toast("证件号码只能是汉字字母数字");
		return false;
	}	
	if(!hasText(idCode)){
		plus.nativeUI.toast("证件号码不能为空");
		return false;
	}
	
	var pa='{"idCode":"'+idCode+'","licenceCode":"'+licenceCode+'"}';
	var param = {"type":"REQ_ROBBERY_CAR","jsonStr":pa};
	currentAjax=$.ajax({
		url: url,
		data: param,
		dataType: "json",
		type:"POST",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_ROBBERY_CAR')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if(!data.result){
				plus.nativeUI.toast(data.msg);
				$("#robberyInfo").html(data.msg);
				$("#robberyDiv1").show();
				return false
				}
			else{
				if(data.msg!=null&&data.msg.indexOf('未查询到记录')>=0){
					plus.nativeUI.toast("未查询到记录");
					$("#robberyInfo").html("未查询到记录");
					$("#robberyDiv1").show();
				}else{
					$(".normNo").html(data.norm.normNo);
					$(".time").html(data.norm.time);
					if(data.norm.used){
						$(".used").html('是');
					}else{
						$(".used").html('否');
					}
					
					$("#robberyDiv").show();
				}
			}
			toDisableButton('otherButton','timeCntLable');
		},
		error: function(){
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}



var otherPage=1;
function searchOtherNorm(){
	otherPage=1;
	stopAjax();
	$("#otherNormInfinite").html("");
	var name=$("#otherNormName").val().trim();
	var idCode=$("#otherNormIdCode").val().trim();
	if(!hasText(name)){
		plus.nativeUI.toast("申请人姓名（单位名称）不能为空");
		return false;
	}
	var driverIdCodeReg = /^[A-Za-z0-9\u4e00-\u9fa5]+$/;
	if(!driverIdCodeReg.test($("#otherNormName").val())){
		plus.nativeUI.toast("申请人姓名只能是汉字字母数字");
		return false;
	}
	if(!driverIdCodeReg.test($("#otherNormIdCode").val())){
		plus.nativeUI.toast("证件号码只能是汉字字母数字");
		return false;
	}					
	if(!hasText(idCode)){
		plus.nativeUI.toast("证件号码不能为空");
		return false;
	}
	
	var pa='{"name":"'+name+'","idCode":"'+idCode+'","pageNo":'+ 1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_OTHER_NORM","jsonStr":pa};
	currentAjax=$.ajax({
		url: url,
		data: param,
		dataType: "json",
		type:"POST",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_OTHER_NORM')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if(data.msg){
				plus.nativeUI.toast(data.msg);
				return false
			}
			else if(data.pagn.result.length==0){
				plus.nativeUI.toast("您查询的其他指标信息不存在");
				toDisableButton('otherButton','timeCntLable');
			}
			else{
				html = "";
				$.each(data.pagn.result, function(key, norm) {
					html+="<div class='mui-card'><ul class='mui-table-view'>";
					html+="<li class='mui-table-view-cell'>指标编号："+norm.normNo+"</li>";
					html+="<li class='mui-table-view-cell'>申请人姓名（单位名称）："+norm.name+"</li>";
					html+="<li class='mui-table-view-cell'>证件号码："+norm.idCode+"</li>";
					html+="<li class='mui-table-view-cell'>获取时间："+norm.time+"</li>";
					html+="</ul></div><br />";
				});
				$("#otherDiv").html(html);
				initPull();
				toDisableButton('otherButton','timeCntLable');
			}
		},
		error: function(){
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}



var otherNormScroll;

function otherNormScrollBar() {
	console.log("otherNormScroll");
	otherNormScroll = $("#otherNormResult").scroller();
	otherNormScroll.addInfinite();
	otherNormScroll.enable();
	otherNormScrollBind();
	$("#otherNormResult").css("overflow", "auto");
}

function otherNormScrollBind() {
	console.log("otherNormScrollBind");
	$.bind(otherNormScroll,"infinite-scroll",
					function() {
						var self = this;
						console.log("infinite triggered");
						$("#otherNormInfinite")
								.html(
										"<img src='images/loading.gif' style='height:18px;'></img>加载中...");
						$.bind(otherNormScroll, "infinite-scroll-end",
								function() {
									console.log("infinite-scroll-end");
									$.unbind(otherNormScroll,
											"infinite-scroll-end");

									getPagedOtherNorm(self);
								});
					});
}

function otherNormScrollUnbind() {
	$.unbind(otherNormScroll, "infinite-scroll");
}

function getPagedOtherNorm(){
	stopAjax();
	var name=$("#otherNormName").val().trim();
	var idCode=$("#otherNormIdCode").val().trim();
	if(!hasText(name)){
		plus.nativeUI.toast("申请人姓名（单位名称）不能为空");
		return false;
	}
	if(!hasText(idCode)){
		plus.nativeUI.toast("证件号码不能为空");
		return false;
	}
	var pa='{"name":"'+name+'","idCode":"'+idCode+'","pageNo":'+(otherPage+1)+',"pageSize":'+1+'}';
	var param = {"type":"REQ_OTHER_NORM","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		success : function(data) {
			if(data.type!='RES_OTHER_NORM')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.pagn.result.length > 0 && data.pagn.currentPage > otherPage) {
				html = "";
				$.each(data.pagn.result, function(key, norm) {
					html+="<div class='mui-card'><ul class='mui-table-view'>";
					html+="<li class='mui-table-view-cell'>指标编号："+norm.normNo+"</li>";
					html+="<li class='mui-table-view-cell'>申请人姓名（单位名称）："+norm.name+"</li>";
					html+="<li class='mui-table-view-cell'>证件号码："+norm.idCode+"</li>";
					html+="<li class='mui-table-view-cell'>获取时间："+norm.time+"</li>";
					html+="</ul></div><br />";
				});
				$("#otherDiv").append(html);
				otherPage++;
			} else{
				mui('#otherMain').pullRefresh().endPullupToRefresh(true);
			}
		},
		error : function() {
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}


function searchStoreCar(){
	var licenseCodeReg = /^[\da-zA-z]{6}$/;
	if(!licenseCodeReg.test($("#storeCarLicenceCode").val())){
		plus.nativeUI.toast("请输入正确车牌号");
		return false;
	}
	var lframeNoReg = /^[\da-zA-z]{17}$/;
	if(!lframeNoReg.test($("#frameNo").val())){
		plus.nativeUI.toast("请输入正确车架号");
		return false;
	}	
	var licenceCode = $("#storeCarLicenceCode").val().trim();
	var frameNo = $("#frameNo").val().trim();
	stopAjax();
	var pa='{"licenceCode":"'+licenceCode+'","frameNo":"'+frameNo+'"}';
	var param = {"type":"REQ_STORE_CAR","jsonStr":pa};
	currentAjax=$.ajax({
		url: url,
		data: param,
		dataType: "json",
		type:"POST",
		timeout:5000,
		success: function(data){
			if(data.type!='RES_STORE_CAR')
				plus.nativeUI.toast("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if(data.result == false){
//				plus.nativeUI.toast(data.msg);
				plus.nativeUI.toast(data.msg);
				toDisableButton('queryButton','timeCntLable');
				}
			else{
				$("#storeCarDiv").show();
				$("#storeCarResult").html(data.msg);
				toDisableButton('queryButton','timeCntLable');
			}
			initPull();
		},
		error: function(){
			plus.nativeUI.toast("请检查您的网络");
		}
	});
}