function loadRenewPerson() {
	$("#paHeader").find("h1").text("个人更新");
	stopAjax();
	$.ui.hideMask();
	$.ui.showMask('加载中...');
	var pa='{"ticketId":"'+ticketId+'"}';
	var param = {"type":"REQ_RENEW_PERSON_ACCOUNT","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			$.ui.hideMask();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_PERSON_ACCOUNT')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewPerson",true);
				return false;
			}  else {
				$(".renewPersonName").html(data.name);
				$(".renewPersonMobile").html(data.mobile);
				$(".renewPersonIdType").html(data.idType);
				$(".renewPersonIdCode").html(data.idCode);
				$(".renewPersonTime").html(data.createTime);
			}
		},
		error : function() {
			$.ui.hideMask();
			myAlert("请检查您的网络");
		}
	});
}

function loadRenewPersonApply() {
	renewPaScrollUnbind();
	renewPersonApply();
}

var rpapage = 1;
function renewPersonApply() {
	stopAjax();
	rpapage=1;
	$("#rpainfinite").html("");
	$.ui.hideMask();
	$.ui.showMask('加载中...');
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_PERSON_APPLY","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			$.ui.hideMask();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_PERSON_APPLY')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewPersonApply",true);
				return false;
			} else if (data.pagn.result.length == 0) {
				$("#rparesult").html("未查询到申请信息");
			} else {
				html = "";
				$.each(data.pagn.result, function(key, apply) {
					html += "<ul class='list inset'>";
					html += "	<li>姓名： <span >";
					html += apply.name;
					html += "</span></li>";
					html += "	<li>号牌号码： <span >";
					html += apply.licenceCode;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += apply.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += apply.idCode;
					html += "</span></li>";
					html += "	<li>业务类型： <span >";
					html += apply.bizType;
					html += "</span></li>";
					html += "	<li>申请状态：<span >";
					html += apply.status;
					html += "</span></li>";
					html += "	<li>申请日期：<span >";
					html += apply.applyTime;
					html += "</span></li><li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewPersonApplyDiv").html(html);
				renewPaScrollBind();
			}
		},
		error : function() {
			$.ui.hideMask();
			myAlert("请检查您的网络");
		}
	});
}

var renewPaScroll;

function renewPaScrollBar() {
	console.log("renewPaScroll");
	renewPaScroll = $("#renewPersonApply").scroller();
	renewPaScroll.addInfinite();
	renewPaScroll.enable();
	renewPaScrollBind();
	$("#renewPersonApply").css("overflow", "auto");
}

function renewPaScrollBind() {
	console.log("renewpersonApplyScrollBind");
	$.bind(renewPaScroll,"infinite-scroll",
					function() {
						var self = this;
						console.log("infinite triggered");
						$("#rpainfinite")
								.html(
										"<img src='images/loading.gif' style='height:18px;'></img>加载中...");
						$.bind(renewPaScroll, "infinite-scroll-end",
								function() {
									console.log("infinite-scroll-end");
									$.unbind(renewPaScroll,
											"infinite-scroll-end");

									getPagedRenewPa(self);
								});
					});
}

function renewPaScrollUnbind() {
	$.unbind(renewPaScroll, "infinite-scroll");
}


function getPagedRenewPa(self) {
	stopAjax();
	$("#rpainfinite").html("");
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+rpapage + 1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_PERSON_APPLY","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			self.clearInfinite();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_PERSON_APPLY')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewPersonApply",true);
				return false;
			} else if (data.pagn.result.length > 0 && data.pagn.currentPage > rpapage) {
				html = "";
				$.each(data.pagn.result, function(key, apply) {
					html += "<ul class='list inset'>";
					html += "	<li>姓名： <span >";
					html += apply.name;
					html += "</span></li>";
					html += "	<li>号牌号码： <span >";
					html += apply.licenceCode;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += apply.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += apply.idCode;
					html += "</span></li>";
					html += "	<li>业务类型： <span >";
					html += apply.bizType;
					html += "</span></li>";
					html += "	<li>申请状态：<span >";
					html += apply.status;
					html += "</span></li>";
					html += "	<li>申请日期：<span >";
					html += apply.applyTime;
					html += "</span></li><li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewPersonApplyDiv").append(html);
				rpapage++;
				$(self.el).find("#rpainfinite").html("");
			} else {
				$(self.el).find("#rpainfinite").html("没有更多申请");
			}
		},
		error : function() {
			myAlert("请检查您的网络");
		}
	});
}


function loadRenewPersonNorm() {
	renewPnScrollUnbind();
	renewPersonNorm();
}

var rpnpage = 1;
function renewPersonNorm() {
	stopAjax();
	rpnpage=1;
	$("#rpninfinite").html("");
	$.ui.hideMask();
	$.ui.showMask('加载中...');
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_PERSON_NORM","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			$.ui.hideMask();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_PERSON_NORM')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewPersonNorm",true);
				return false;
			} else if (data.pagn.result.length == 0) {
				$("#rpnresult").html("未查询到相关联的有效未使用指标");
			} else { 
				html = "";
				$.each(data.pagn.result, function(key, norm) {
					html += "<ul class='list inset'>";
					html += "	<li>指标编号： <span >";
					html += norm.normNo;
					html += "</span></li>";
					html += "	<li>原号牌号码： <span >";
					html += norm.licenceCode;
					html += "</span></li>";
					html += "	<li>姓名： <span >";
					html += norm.name;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += norm.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += norm.idCode;
					html += "</span></li>";
					html += "	<li>指标类型： <span >";
					html += norm.regType;
					html += "</span></li>";
					html += "	<li>指标获取日期：<span >";
					html += norm.time;
					html += "</span></li>";
					html += "	<li>指标有效期：<span >";
					html += norm.normValidTime;
					html += "</span></li> <li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewPersonNormDiv").html(html);
				renewPnScrollBind();
			}
		},
		error : function() {
			$.ui.hideMask();
			myAlert("请检查您的网络");
		}
	});
}

var renewPnScroll;

function renewPnScrollBar() {
	renewPnScroll = $("#renewPersonNorm").scroller();
	renewPnScroll.addInfinite();
	renewPnScroll.enable();
	renewPnScrollBind();
	$("#renewPersonNorm").css("overflow", "auto");
}

function renewPnScrollBind() {
	$.bind(renewPnScroll,"infinite-scroll",
					function() {
						var self = this;
						$("#rpninfinite")
								.html(
										"<img src='images/loading.gif' style='height:18px;'></img>加载中...");
						$.bind(renewPnScroll, "infinite-scroll-end",
								function() {
									$.unbind(renewPnScroll,
											"infinite-scroll-end");

									getPagedRenewPn(self);
								});
					});
}

function renewPnScrollUnbind() {
	$.unbind(renewPnScroll, "infinite-scroll");
}


function getPagedRenewPn(self) {
	stopAjax();
	$("#rpainfinite").html("");
	var pa='{"ticketId":"'+ticketId+'","pageNo":'+rpnpage + 1+',"pageSize":'+1+'}';
	var param = {"type":"REQ_RENEW_PERSON_NORM","jsonStr":pa};
	currentAjax = $.ajax({
		url : url,
		data : param,
		dataType : "json",
		type : "POST",
		timeout:5000,
		complete : function() {
			self.clearInfinite();
		},
		success : function(data) {
			$.ui.hideMask();
			if(data.type!='RES_RENEW_PERSON_NORM')
				myAlert("错误的请求类型");
			var data=$.parseJSON(data.jsonStr);
			if (data.reason) {
				checkLogin("renewPersonNorm",true);
				return false;
			} else if (data.pagn.result.length > 0 && data.pagn.currentPage > rpnpage) {
				html = "";
				$.each(data.pagn.result, function(key, norm) {
					html += "<ul class='list inset'>";
					html += "	<li>指标编号： <span >";
					html += norm.normNo;
					html += "</span></li>";
					html += "	<li>原号牌号码： <span >";
					html += norm.licenceCode;
					html += "</span></li>";
					html += "	<li>姓名： <span >";
					html += norm.name;
					html += "</span></li>";
					html += "	<li>证件类型： <span >";
					html += norm.idType;
					html += "</span></li>";
					html += "	<li>证件号码： <span >";
					html += norm.idCode;
					html += "</span></li>";
					html += "	<li>指标类型： <span >";
					html += norm.regType;
					html += "</span></li>";
					html += "	<li>指标获取日期：<span >";
					html += norm.time;
					html += "</span></li>";
					html += "	<li>指标有效期：<span >";
					html += norm.normValidTime;
					html += "</span></li> <li class='divider'></li>";
					html += "</ul>";
				});
				$("#renewPersonNormDiv").append(html);
				rpnpage++;
				$(self.el).find("#rpninfinite").html("");
			} else {
				$(self.el).find("#rpninfinite").html("没有更多指标");
			}
		},
		error : function() {
			myAlert("请检查您的网络");
		}
	});
}