/**
 * 天气预报 js 需要jquery支持
 * author : LiuKing
 * date : 2015-09-24
 */
//$(function(){
	function loadWeather(){
		stopAjax();
		var weatherUrl = "http://wthrcdn.etouch.cn/weather_mini?citykey=101030100";
		currentAjax=$.ajax({
			url: weatherUrl,
			dataType: "json",
			type:"GET",
			timeout:5000,
			success: function(data){
				if(data.data==null || data.data==undefined){
					plus.nativeUI.toast("错误");
				}
				var today = data.data.forecast[0];
				$(".temp").html(today.high+"~"+today.low);
				$(".type").html(today.type);
				
				//天气图标
				$("#weatherImg").attr("src","img/weather/weather1.png");//默认晴天
				setWeatherImg(today.type);
				
				plus.nativeUI.toast("天气刷新完毕！");
			},
			error:function(){
				plus.nativeUI.toast("请检查你的网络");
			}
		});
	}
	
	function setWeatherImg(type)
	{
		var wlist = ['晴','阴','多云','少云','小雨','中雨','大雨','阵雨','雷阵雨','暴雨','雾','霾','霜冻','暴风','台风','暴风雪','大雪','中雪','小雪','雨夹雪','冰雹','浮尘','扬沙'];
		var i = 0;
		for (i=0;i<wlist.length;i++) {
			if(wlist[i]==type){
				break;
			}
		}
		$("#weatherImg").attr("src","img/weather/weather"+(i+1)+".png");
	}
	
	function reloadWeather()
	{
		loadWeather();
	}

//});